package com.mvc.othermodel.sjhjb;

import java.math.BigDecimal;

/**
 * 用水效率
 */
public class WatereFficiencyModel {
    private BigDecimal planWaterVolume;      // 年计划量
    private BigDecimal annualStartWater;     // 年起始累计量
    private BigDecimal currentAccumulate;    // 当前累计量
    private BigDecimal currentUsage;         // 当年用量
    private BigDecimal annualUsageRatio;         // 全年用量占比
    private Integer currentQuarter;          // 当前季度
    private BigDecimal quarterplanWaterVolume; // 季度计划量
    private BigDecimal quarterUsageRatio;        // 季度用量占比

    private Integer staffCount;                 // 在编人数
    private Integer tempStaffCount;             // 编外人数
    private Integer totalCount;                 // 总人数
    private BigDecimal waterUsagePerPerson;     // 人均用水量
    private BigDecimal annualWaterConsumption;  // 预估全年用水量

    public BigDecimal getPlanWaterVolume() {
        return planWaterVolume;
    }

    public void setPlanWaterVolume(BigDecimal planWaterVolume) {
        this.planWaterVolume = planWaterVolume;
    }

    public BigDecimal getAnnualStartWater() {
        return annualStartWater;
    }

    public void setAnnualStartWater(BigDecimal annualStartWater) {
        this.annualStartWater = annualStartWater;
    }

    public BigDecimal getCurrentAccumulate() {
        return currentAccumulate;
    }

    public void setCurrentAccumulate(BigDecimal currentAccumulate) {
        this.currentAccumulate = currentAccumulate;
    }

    public BigDecimal getCurrentUsage() {
        return currentUsage;
    }

    public void setCurrentUsage(BigDecimal currentUsage) {
        this.currentUsage = currentUsage;
    }

    public BigDecimal getAnnualUsageRatio() {
        return annualUsageRatio;
    }

    public void setAnnualUsageRatio(BigDecimal annualUsageRatio) {
        this.annualUsageRatio = annualUsageRatio;
    }

    public Integer getCurrentQuarter() {
        return currentQuarter;
    }

    public void setCurrentQuarter(Integer currentQuarter) {
        this.currentQuarter = currentQuarter;
    }

    public BigDecimal getQuarterplanWaterVolume() {
        return quarterplanWaterVolume;
    }

    public void setQuarterplanWaterVolume(BigDecimal quarterplanWaterVolume) {
        this.quarterplanWaterVolume = quarterplanWaterVolume;
    }

    public BigDecimal getQuarterUsageRatio() {
        return quarterUsageRatio;
    }

    public void setQuarterUsageRatio(BigDecimal quarterUsageRatio) {
        this.quarterUsageRatio = quarterUsageRatio;
    }

    public Integer getStaffCount() {
        return staffCount;
    }

    public void setStaffCount(Integer staffCount) {
        this.staffCount = staffCount;
    }

    public Integer getTempStaffCount() {
        return tempStaffCount;
    }

    public void setTempStaffCount(Integer tempStaffCount) {
        this.tempStaffCount = tempStaffCount;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public BigDecimal getWaterUsagePerPerson() {
        return waterUsagePerPerson;
    }

    public void setWaterUsagePerPerson(BigDecimal waterUsagePerPerson) {
        this.waterUsagePerPerson = waterUsagePerPerson;
    }

    public BigDecimal getAnnualWaterConsumption() {
        return annualWaterConsumption;
    }

    public void setAnnualWaterConsumption(BigDecimal annualWaterConsumption) {
        this.annualWaterConsumption = annualWaterConsumption;
    }
}
